# Created by pyp2rpm-3.3.2
%global pypi_name PyJWT
%global pkg_name pyjwt

# pytest < 5 needed
%bcond_without test

Name:           python-%{pkg_name}
Version:        2.8.0
Release:        %mkrel 6
Summary:        JSON Web Token implementation in Python
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/PyJWT
Source0:        %{pypi_source}
Patch0:         0001-Relax-requirements.patch
BuildArch:      noarch

BuildRequires:  python3-devel
%if %{with test}
BuildRequires:  python3dist(tox)
%endif

%description
A Python implementation of RFC 7519.

%package -n     python3-%{pkg_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pkg_name}}
Requires:       python3dist(cryptography) >= 1.4

%description -n python3-%{pkg_name}
A Python implementation of RFC 7519.

%pyproject_extras_subpkg -n python3-pyjwt crypto

%prep
%autosetup -n PyJWT-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jwt

%if %{with test}
%check
%tox
%endif

%files -n python3-%{pkg_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.8.0-6.mga10
+ Revision: 2241788
- Mageia 10 Mass Rebuild

* Mon Mar 03 2025 daviddavid <daviddavid> 2.8.0-5.mga10
+ Revision: 2159170
- rebuild for python 3.13

* Fri Feb 02 2024 papoteur <papoteur> 2.8.0-4.mga10
+ Revision: 2036747
- relax requirements
- fix a typo in sub module

* Wed Dec 27 2023 papoteur <papoteur> 2.8.0-3.mga10
+ Revision: 2022467
- rebuild for python 3.12
- adapt to pyproject

* Wed Dec 27 2023 papoteur <papoteur> 2.8.0-2.mga10
+ Revision: 2022211
- rebuild for python 3.12
- add generate_buildrequires
- enable tests

* Thu Nov 09 2023 papoteur <papoteur> 2.8.0-1.mga10
+ Revision: 2005337
- new 2.8.0
- new 2.8.0

* Thu Jun 15 2023 kekepower <kekepower> 2.7.0-1.mga9
+ Revision: 1962056
- Update to version 2.7.0

* Mon Jun 20 2022 papoteur <papoteur> 2.4.0-1.mga9
+ Revision: 1865282
- new 2.4.0 (mga#30485)

* Wed Mar 30 2022 umeabot <umeabot> 2.0.1-4.mga9
+ Revision: 1834939
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 mrambo3501 <mrambo3501> 2.0.1-3.mga9
+ Revision: 1775444
- rebuild for python-3.10

* Fri Mar 26 2021 ovitters <ovitters> 2.0.1-2.mga9
+ Revision: 1710624
- rebuild for Python 3.9

* Wed Mar 24 2021 guillomovitch <guillomovitch> 2.0.1-1.mga9
+ Revision: 1709192
- new version 2.0.1

* Sun Mar 29 2020 wally <wally> 1.7.1-5.mga8
+ Revision: 1562244
- clean more build time test requires from deps

* Sun Mar 29 2020 wally <wally> 1.7.1-4.mga8
+ Revision: 1562239
- clean build time test requires from deps

* Sun Feb 16 2020 umeabot <umeabot> 1.7.1-3.mga8
+ Revision: 1530985
- Mageia 8 Mass Rebuild

* Sat Sep 07 2019 wally <wally> 1.7.1-2.mga8
+ Revision: 1438210
- disable tests (pytest < 5 needed)
- rebuild for python3.8

* Sun Jan 06 2019 shlomif <shlomif> 1.7.1-1.mga8
+ Revision: 1350161
- pyp2rpm

